Skip to main content
PATCH

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization_id
string
required

Organization identifier.

Required string length: 24
Pattern: ^[0-9a-f]{24}$
network_id
string<uuid>
required

Network identifier.

Body

application/json

Partial network update body. All fields are optional.

name
string

Network Name.

vlan
integer

The VLAN ID of the network. Must be greater than or equal to 0.

Required range: x >= 0
location_id
string<uuid> | null

Identifier of the related location (FWS Location.Oid). Send null to unlink.

Response

Network updated successfully.

id
string<uuid>

Network Id (FWS Network.Oid).

name
string | null

Network Name.

cidr
string | null

Network CIDR block.

gateway
string | null

Network gateway.

vlan
integer | null

Network VLAN Id.

organization_id
string | null

Associated Portal organization Id.

Required string length: 24
Pattern: ^[0-9a-f]{24}$
public_ip
string | null

Related public IP address.

location_id
string<uuid> | null

Related location Id (FWS Location.Oid).